IPCS(1)

BEZEICHNUNG
ipcs - stellt Informationen zu IPC-Leistungen bereit

ÜBERSICHT

ipcs [Optionen]

BESCHREIBUNG

ipcs zeigt Informationen der Leistungen der System-V-Interprozess-Kommunikation an. In der Voreinstellung werden Informationen zu allen drei Ressourcen angezeigt: gemeinsam genutzte Speichersegmente, Nachrichtenwarteschlangen und Semaphor-Felder.

OPTIONEN

-i, --id ID
    zeigt vollständige Details zu dem jeweiligen Ressourcenelement an, das durch Kennung bezeichnet ist. Diese Option muss mit einer der drei Ressourcenoptionen kombiniert werden: -m, -q oder -s.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

  Ressourcenoptionen

-m, --shmems
    gibt Informationen zu den aktiven gemeinsam genutzten Speichersegmenten aus.

-q, --queues
    gibt Informationen zu den aktiven Nachrichtenwarteschlangen aus.

-s, --semaphores
    gibt Informationen zu den aktiven Semaphor-Feldern aus.

-a, --all
    gibt Informationen zu allen drei Ressourcen aus (Voreinstellung).

  Ausgabeformate

Nur die jeweils letzte angegebene Option wird verarbeitet.

-c, --creator
    zeigt den Ersteller und Eigentümer an.

-l, --limits
    zeigt Ressourcenbegrenzungen an.

-p, --pid
    zeigt die Prozess-IDs des Erstellers und letzten Operators an.

-t, --time
    zeigt Zeitinformationen an: die Zeit des letzten Vorgangs, der die Zugriffsrechte für alle Leistungen geändert hat, die Zeit der letzten msgsnd(2)- und msgrcv(2)-Vorgänge für Nachrichtenwarteschlangen, die Zeit der letzten shmat(2)- und shmdt(2)-Vorgänge für gemeinsam genutzten Speicher und die Zeit des letzten semop(2)-Vorgangs für Semaphore.

-u, --summary
    zeigt eine Statuszusammenfassung an.

  Darstellung

Diese beeinflussen nur die Option -l (--limits).

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

--human
    gibt die Größen in menschenlesbarem Format aus.

KONFORM ZU

Das Linux-Dienstprogramm ipcs ist nicht vollständig zum POSIX-Dienstprogramm ipcs kompatibel. Die Linux-Version unterstützt die Optionen -a, -b und -o nicht, aber unterstützt die von POSIX nicht definierten Optionen -l und -u. Portierbare Anwendungen dürfen die Optionen -a, -b, -o, -l und -u nicht benutzen.

ANMERKUNGEN

Die aktuelle Implementierung von ipcs bezieht Informationen über verfügbare IPC-Ressourcen durch Auswertung der Dateien in /proc/sysvipc. Vor der Version 2.23 von Util-linux wurde ein anderer Mechanismus verwendet: der Befehl IPC_STAT von msgctl(2), semctl(2) und shmctl(2). Dieser Mechanismus wird auch in neueren Versionen von Util-linux verwendet, falls /proc nicht verfügbar ist. Eine Einschränkung des IPC_STAT-Mechanismus ist, dass er nur zum Holen von Informationen verwendet werden kann, auf die der Benutzer Lesezugriff hat.

AUTOREN

SIEHE AUCH

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl ipcs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.